Update a task status with data provided in the request body. JSON format is expected. If is_default is set to true, sets all other statuses to non-default.
PUT
/data/task-status/{instance_id}
curl
curl -X PUT "http://api.example.com/data/task-status/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "In Progress",
"short_name": "WIP",
"color": "#00FF00",
"is_default": true
}'
import requests
url = "http://api.example.com/data/task-status/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "In Progress",
"short_name": "WIP",
"color": "#00FF00",
"is_default": true
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request PUT 'http://api.example.com/data/task-status/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"name":"In Progress","short_name":"WIP","color":"#00FF00","is_default":true}'
Request examples
{
"name": "In Progress",
"short_name": "WIP",
"color": "#00FF00",
"is_default": true
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "In Progress",
"short_name": "WIP",
"color": "#00FF00",
"is_default": true,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}